#!/usr/bin/python
import sys
sys.path.append('../debsources/python')

from consts import DEBIAN_RELEASES

def emit_release(name, date):
    if date is None:
        date = ''
    print '%s\t%s' % (name, date)

by_release_date = lambda (name1, info1), (name2, info2): cmp(info1['date'], info2['date'])
missing_releases = ['buzz', 'rex', 'bo']
devel_releases = ['jessie', 'sid']

for name, info in sorted(DEBIAN_RELEASES.items(), cmp=by_release_date):
    if name in missing_releases:
        continue
    emit_release(name, info['date'])

for name in devel_releases:
    emit_release(name, None)
