-- computes, for each release, the number of files per file extension

select substring(encode(files.path, 'escape') from '[A-z0-9]*$') as s,
       suite,
       count(*) as c
from files, suites
where files.package_id=suites.package_id
      and position('.' in files.path) > 0
group by s, suite
order by c desc ;
