#!/usr/bin/python

import sys
sys.path.append('../debsources/python')

import os
import sqlalchemy

import mainlib
import statistics
import updater


dburi = sys.argv[1]
db = sqlalchemy.create_engine(dburi)
Session = sqlalchemy.orm.sessionmaker()

conf = mainlib.load_conf('/srv/debsources/etc/config.local.ini')
conf['cache_dir'] = os.path.abspath(os.curdir)
status = updater.UpdateStatus()
session = Session(bind=db)

updater.update_statistics(status, conf, session,
                          suites=statistics.suites(session, 'all'))
# creates: ./stats.data
