#!/bin/bash

EXTRACT_PKGID="../debsources/contrib/extract-pkgid"

MIRROR_ROOT="/srv/debian-mirror"
ARCHIVE_ROOT="/srv/debian-archive"

LIVE_SUITES="squeeze wheezy jessie sid"
ARCH_SUITES="hamm slink potato woody sarge etch lenny"

for suite in ${LIVE_SUITES} ; do
    $EXTRACT_PKGID ${MIRROR_ROOT}/dists/${suite}/*/source/Sources.gz \
	> refdata/pkgids-${suite}.data
done

for suite in ${ARCH_SUITES} ; do
    $EXTRACT_PKGID ${ARCHIVE_ROOT}/dists/${suite}/*/source/Sources.gz \
	> refdata/pkgids-${suite}.data
done
